%define upstream_name libxml

Name:           pentaho-libxml
Version:        1.1.6
%define 	subrel 1
Release:        %mkrel 13
Summary:        Namespace aware SAX-Parser utility library
License:        LGPLv2+
Group:          Development/Java
URL:            https://reporting.pentaho.org/
Source:         https://downloads.sourceforge.net/jfreereport/%{upstream_name}-%{version}.zip
Patch0:         pentaho-libxml-1.1.2-fix-build.patch
Patch1:         libxml-1.1.2-java11.patch
Patch2:		pentaho-libxml-1.1.6-remove-antcontrib-support.patch
Patch3: 	libxml-1.1.3-remove-commons-logging.patch
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  javapackages-tools
BuildRequires:  libbase
BuildRequires:  libloader

Requires:       java >= 0:1.6.0
Requires:       jpackage-utils
Requires:       libbase >= 1.1.2
Requires:       libloader >= 1.1.2
BuildArch:      noarch

%description
Pentaho LibXML is a namespace aware SAX-Parser utility library. It eases the
pain of implementing non-trivial SAX input handlers.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -c
%patch0 -p0 -b .build
%patch1 -p1 -b .java11
%patch2 -p1 -b .no_antcontrib
%patch3 -p1 -b .no_commons_logging

find . -name "*.jar" -exec rm -f {} \;
mkdir -p lib
build-jar-repository -s -p lib libbase libloader

%build
ant jar javadoc
for file in README.txt licence-LGPL.txt ChangeLog.txt; do
    tr -d '\r' < $file > $file.new
    mv $file.new $file
done

%install
mkdir -p %{buildroot}%{_javadir}
cp -p ./dist/%{upstream_name}-%{version}.jar %{buildroot}%{_javadir}/%{upstream_name}.jar

%files
%doc licence-LGPL.txt README.txt ChangeLog.txt
%{_javadir}/%{upstream_name}.jar


%changelog
* Mon May 02 2022 neoclust <neoclust> 1.1.6-13.1.mga8
+ Revision: 1855491
- Replace apache-commons-logging with java.util.logging (mga#29556)

* Fri Jan 15 2021 neoclust <neoclust> 1.1.6-13.mga8
+ Revision: 1671865
- Remove ant-contrib support

* Mon Sep 07 2020 daviddavid <daviddavid> 1.1.6-12.mga8
+ Revision: 1623161
- allow rebuild with java 11
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 1.1.6-11.mga8
+ Revision: 1492700
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.1.6-10.mga7
+ Revision: 1265674
- Mageia 7 Mass Rebuild

* Sat Feb 27 2016 umeabot <umeabot> 1.1.6-9.mga6
+ Revision: 979907
- Mageia 6 Mass Rebuild

* Fri Oct 31 2014 pterjan <pterjan> 1.1.6-8.mga5
+ Revision: 794961
- Add more BuildRequires
- Add more BuildRequires
- Add various BuildRequires
- BuildRequires javapackages-tools
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.6-7.mga5
+ Revision: 740196
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.6-6.mga5
+ Revision: 683403
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.6-5.mga4
+ Revision: 531314
- Mageia 4 Mass Rebuild

* Sat Aug 03 2013 joequant <joequant> 1.1.6-4.mga4
+ Revision: 462958
- remove ant-nodeps and ant-trax

* Sun Jan 13 2013 umeabot <umeabot> 1.1.6-3.mga3
+ Revision: 362751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 1.1.6-2.mga3
+ Revision: 305464
- Documentation group

* Sat Jan 21 2012 kamil <kamil> 1.1.6-1.mga2
+ Revision: 198977
- new version 1.1.6
- drop gcj support
- rediff and rename patch to fix-build.patch
- clean .spec

* Fri Mar 18 2011 dmorgan <dmorgan> 1.1.3-3.mga1
+ Revision: 74300
- Really build without gcj

* Fri Mar 18 2011 dmorgan <dmorgan> 1.1.3-2.mga1
+ Revision: 74281
- Build without gcj

* Wed Jan 26 2011 dmorgan <dmorgan> 1.1.3-1.mga1
+ Revision: 40146
- Adapt for mageia
- imported package pentaho-libxml


* Thu Dec 03 2009 Caolan McNamara <caolanm@redhat.com> 1.1.3
- latest version

* Tue Nov 17 2009 Caolan McNamara <caolanm@redhat.com> 1.1.2
- latest version

* Fri Jul 24 2009 Caolan McNamara <caolanm@redhat.com> 1.0.0-2.OOo31
- make javadoc no-arch when building as arch-dependant aot

* Mon Mar 16 2009 Caolan McNamara <caolanm@redhat.com> 1.0.0-1.OOo31
- Post release tuned for OpenOffice.org reportdesigner

* Mon Mar 09 2009 Caolan McNamara <caolanm@redhat.com> 1.0.0-0.1.rc
- latest version

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 07 2008 Caolan McNamara <caolanm@redhat.com> 0.9.11-1
- initial fedora import
